A read-only representation of a particular user in Convergence. Any identification information available in Convergence for this user can be accessed here.

### Hierarchy

- DomainUser

## Index

### Properties

- anonymous
- convergence
- displayName
- email
- firstName
- lastName
- normal
- userId
- userType
- username

## Properties

### anonymous

anonymous: boolean

True if this user connected anonymously.

### convergence

convergence: boolean

True if this user is an authenticated Convergence user as opposed to a domain user. Most consuming applications shouldn't need to deal with Convergence users; currently they're only used in the real-time model browser of the Convergence Administration Console.

### OptionaldisplayName

displayName: string

This user's display name

### Optionalemail

email: string

This user's email

### OptionalfirstName

firstName: string

This user's first name

### OptionallastName

lastName: string

This user's last name

### normal

normal: boolean

True if this user is an authenticated domain user.

### userId

userId: DomainUserId

The unique ID for this user, regardless of user type.

### userType

userType: DomainUserType

This user's type.

### username

username: string

This user's username, unique for this domain.